/* Disable Foreign Keys */
pragma foreign_keys = off;
/* Begin Transaction */
begin transaction;

/* Database [database_default] */
pragma auto_vacuum=0;
pragma encoding='UTF-8';
pragma page_size=1024;

-- Added setting 52 "DMD update interval" & settings 53 to 66 for coil strength settings.
insert into [main].[setting] values(52, 'DMD update interval', null, '1 second,3 seconds,5 seconds,10 seconds,20 seconds,30 seconds,off', null, null, null, '1 second', '1 second');
insert into [main].[setting] values(53, 'Ball Release', null, '6,30', 2, 'ms', null, '14', '14');
insert into [main].[setting] values(54, 'Outhole', null, '15,50', 5, 'ms', null, '25', '25');
insert into [main].[setting] values(55, 'Scoop', null, '15,50', 5, 'ms', null, '30', '30');
insert into [main].[setting] values(56, 'Skillshot Kicker', null, '10,40', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(57, 'Head Mouth', null, '15,50', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(58, 'Head Left Eye', null, '15,50', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(59, 'Head Right Eye', null, '15,50', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(60, 'Jet Left', null, '10,50', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(61, 'Jet Right', null, '10,50', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(62, 'Jet Bottom', null, '10,50', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(63, 'Jets Slingshot', null, '10,50', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(64, 'Slingshot Left', null, '5,40', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(65, 'Slingshot Right', null, '5,40', 5, 'ms', null, '20', '20');
insert into [main].[setting] values(66, 'Knocker', null, '4,30', 2, 'ms', null, '10', '10');

-- Update 'Sound volume' setting to expand range to 31.
UPDATE
	[main].[setting]
SET
	[options] = '0,31',
	[default] = 4,
	[value] = [value] * 3
WHERE
	[id] = 5;

-- Update 'Lock pulse length' setting title to keep consistency with new settings.
UPDATE
	[main].[setting]
SET
	[title] = 'Lock Post'
WHERE
	[id] = 25;

-- Update 'Live host' setting value back to its default, because it is removed from the operator menu and a having a non-default value will leave users in limbo.
UPDATE
	[main].[setting]
SET
	[value] = [default]
WHERE
	[id] = 24;

/* Drop table [main].[menuitem] */
drop table if exists [main].[menuitem];

/* Table structure [main].[menuitem] */
CREATE TABLE [main].[menuitem] (
  [id] INTEGER NOT NULL PRIMARY KEY,
  [title] VARCHAR NOT NULL,
  [type] VARCHAR,
  [data] VARCHAR,
  [order] INTEGER,
  [level] INTEGER);

/* Data [main].[menuitem] */
insert into [main].[menuitem] values(1, 'Main menu', '', '', 0, 0);
insert into [main].[menuitem] values(2, 'Test Menu', '', '', 1, 1);
insert into [main].[menuitem] values(3, 'Switch Test', 'MenuItem_Test_Switch', '', 2, 2);
insert into [main].[menuitem] values(4, 'Coil Test', '', '', 3, 2);
insert into [main].[menuitem] values(5, 'Ball Release', 'MenuItem_Test_Solenoid', 'ballRelease', 4, 3);
insert into [main].[menuitem] values(6, 'Lock Post', 'MenuItem_Test_Solenoid', 'lockPost', 5, 3);
insert into [main].[menuitem] values(7, 'Outhole', 'MenuItem_Test_Solenoid', 'outhole', 6, 3);
insert into [main].[menuitem] values(8, 'Scoop', 'MenuItem_Test_Solenoid', 'scoop', 7, 3);
insert into [main].[menuitem] values(9, 'Skillshot Kicker', 'MenuItem_Test_Solenoid', 'skillshotKicker', 8, 3);
insert into [main].[menuitem] values(10, 'Mini Playfield Gate', 'MenuItem_Test_Solenoid', 'miniGate', 9, 3);
insert into [main].[menuitem] values(11, 'Head Mouth', 'MenuItem_Test_Solenoid', 'headMouth', 10, 3);
insert into [main].[menuitem] values(12, 'Head Left Eye', 'MenuItem_Test_Solenoid', 'headLeftEye', 11, 3);
insert into [main].[menuitem] values(13, 'Head Right Eye', 'MenuItem_Test_Solenoid', 'headRightEye', 12, 3);
insert into [main].[menuitem] values(14, 'Jet Left', 'MenuItem_Test_Solenoid', 'jetL', 13, 3);
insert into [main].[menuitem] values(15, 'Jet Right', 'MenuItem_Test_Solenoid', 'jetR', 14, 3);
insert into [main].[menuitem] values(16, 'Jet Bottom', 'MenuItem_Test_Solenoid', 'jetB', 15, 3);
insert into [main].[menuitem] values(17, 'Jets Slingshot', 'MenuItem_Test_Solenoid', 'jetsSling', 16, 3);
insert into [main].[menuitem] values(18, 'Slingshot Left', 'MenuItem_Test_Solenoid', 'slingL', 17, 3);
insert into [main].[menuitem] values(19, 'Slingshot Right', 'MenuItem_Test_Solenoid', 'slingR', 18, 3);
insert into [main].[menuitem] values(20, 'Knocker', 'MenuItem_Test_Solenoid', 'knocker', 19, 3);
insert into [main].[menuitem] values(21, 'Adjustment Menu', '', '', 20, 1);
insert into [main].[menuitem] values(22, 'Rules', '', '', 21, 2);
insert into [main].[menuitem] values(23, 'Balls per game', 'MenuItem_Setting', '1', 22, 3);
insert into [main].[menuitem] values(24, 'Ball saver', '', '', 23, 3);
insert into [main].[menuitem] values(25, 'First ball saver', 'MenuItem_Setting', '4', 24, 4);
insert into [main].[menuitem] values(26, 'Later ball savers', 'MenuItem_Setting', '20', 25, 4);
insert into [main].[menuitem] values(27, 'Tilt', '', '', 26, 3);
insert into [main].[menuitem] values(28, 'Tilt warnings', 'MenuItem_Setting', '2', 27, 4);
insert into [main].[menuitem] values(29, 'Tilt warning gap', 'MenuItem_Setting', '3', 28, 4);
insert into [main].[menuitem] values(30, 'Multiball 1', '', '', 29, 3);
insert into [main].[menuitem] values(31, 'Jackpots required', 'MenuItem_Setting', '41', 30, 4);
insert into [main].[menuitem] values(32, 'Power Charge time', 'MenuItem_Setting', '8', 31, 3);
insert into [main].[menuitem] values(33, 'Values doubled time', 'MenuItem_Setting', '9', 32, 3);
insert into [main].[menuitem] values(34, 'Videomode', '', '', 33, 3);
insert into [main].[menuitem] values(35, 'Videomode enabled', 'MenuItem_Setting', '49', 34, 4);
insert into [main].[menuitem] values(36, 'PIN*BOT letters pre-lit', 'MenuItem_Setting', '50', 35, 4);
insert into [main].[menuitem] values(37, 'Wheel', '', '', 36, 3);
insert into [main].[menuitem] values(38, 'JP incr. per mode', 'MenuItem_Setting', '10', 37, 4);
insert into [main].[menuitem] values(39, 'Small wheel', '', '', 38, 4);
insert into [main].[menuitem] values(40, '50K mode time', 'MenuItem_Setting', '11', 39, 5);
insert into [main].[menuitem] values(41, '100K mode time', 'MenuItem_Setting', '12', 40, 5);
insert into [main].[menuitem] values(42, '250K mode time', 'MenuItem_Setting', '13', 41, 5);
insert into [main].[menuitem] values(43, 'EB mode', '', '', 42, 5);
insert into [main].[menuitem] values(44, 'EB mode time', 'MenuItem_Setting', '14', 43, 6);
insert into [main].[menuitem] values(45, 'Lanes can unlite', 'MenuItem_Setting', '46', 44, 6);
insert into [main].[menuitem] values(46, 'Lite EB mode time', 'MenuItem_Setting', '15', 45, 5);
insert into [main].[menuitem] values(47, 'Lite JP mode time', 'MenuItem_Setting', '16', 46, 5);
insert into [main].[menuitem] values(48, 'Head position', 'MenuItem_Setting', '7', 47, 2);
insert into [main].[menuitem] values(49, 'Coil Strengths', '', '', 48, 2);
insert into [main].[menuitem] values(50, 'Ball Release', 'MenuItem_Setting', '53', 49, 3);
insert into [main].[menuitem] values(51, 'Lock Post', 'MenuItem_Setting', '25', 50, 3);
insert into [main].[menuitem] values(52, 'Outhole', 'MenuItem_Setting', '54', 51, 3);
insert into [main].[menuitem] values(53, 'Scoop', 'MenuItem_Setting', '55', 52, 3);
insert into [main].[menuitem] values(54, 'Skillshot Kicker', 'MenuItem_Setting', '56', 53, 3);
insert into [main].[menuitem] values(55, 'Head Mouth', 'MenuItem_Setting', '57', 54, 3);
insert into [main].[menuitem] values(56, 'Head Left Eye', 'MenuItem_Setting', '58', 55, 3);
insert into [main].[menuitem] values(57, 'Head Right Eye', 'MenuItem_Setting', '59', 56, 3);
insert into [main].[menuitem] values(58, 'Jet Left', 'MenuItem_Setting', '60', 57, 3);
insert into [main].[menuitem] values(59, 'Jet Right', 'MenuItem_Setting', '61', 58, 3);
insert into [main].[menuitem] values(60, 'Jet Bottom', 'MenuItem_Setting', '62', 59, 3);
insert into [main].[menuitem] values(61, 'Jets Slingshot', 'MenuItem_Setting', '63', 60, 3);
insert into [main].[menuitem] values(62, 'Slingshot Left', 'MenuItem_Setting', '64', 61, 3);
insert into [main].[menuitem] values(63, 'Slingshot Right', 'MenuItem_Setting', '65', 62, 3);
insert into [main].[menuitem] values(64, 'Knocker', 'MenuItem_Setting', '66', 63, 3);
insert into [main].[menuitem] values(65, 'Display', '', '', 64, 2);
insert into [main].[menuitem] values(66, 'Dots shape', 'MenuItem_Setting', '29', 65, 3);
insert into [main].[menuitem] values(67, 'Scale', 'MenuItem_Setting', '33', 66, 3);
insert into [main].[menuitem] values(68, 'Vertical position', 'MenuItem_Setting', '35', 67, 3);
insert into [main].[menuitem] values(69, 'Horizontal position', 'MenuItem_Setting', '36', 68, 3);
insert into [main].[menuitem] values(70, 'Dots color', '', '', 69, 3);
insert into [main].[menuitem] values(71, 'Preset', 'MenuItem_Setting', '28', 70, 4);
insert into [main].[menuitem] values(72, 'Custom Red', 'MenuItem_Setting', '30', 71, 4);
insert into [main].[menuitem] values(73, 'Custom Green', 'MenuItem_Setting', '31', 72, 4);
insert into [main].[menuitem] values(74, 'Custom Blue', 'MenuItem_Setting', '32', 73, 4);
insert into [main].[menuitem] values(75, 'Background color', '', '', 74, 3);
insert into [main].[menuitem] values(76, 'Preset', 'MenuItem_Setting', '37', 75, 4);
insert into [main].[menuitem] values(77, 'Custom Red', 'MenuItem_Setting', '38', 76, 4);
insert into [main].[menuitem] values(78, 'Custom Green', 'MenuItem_Setting', '39', 77, 4);
insert into [main].[menuitem] values(79, 'Custom Blue', 'MenuItem_Setting', '40', 78, 4);
insert into [main].[menuitem] values(80, 'Window border', 'MenuItem_Setting', '34', 79, 3);
insert into [main].[menuitem] values(81, 'Live', '', '', 80, 2);
insert into [main].[menuitem] values(82, 'Live enabled', 'MenuItem_Setting', '23', 81, 3);
insert into [main].[menuitem] values(83, 'DMD update interval', 'MenuItem_Setting', '52', 82, 3);
insert into [main].[menuitem] values(84, 'Localization', '', '', 83, 2);
insert into [main].[menuitem] values(85, 'Euro score format', 'MenuItem_Setting', '19', 84, 3);
insert into [main].[menuitem] values(86, 'Peripherals', '', '', 85, 2);
insert into [main].[menuitem] values(87, 'Betabrite', '', '', 86, 3);
insert into [main].[menuitem] values(88, 'BetaBrite', 'MenuItem_Setting', '17', 87, 4);
insert into [main].[menuitem] values(89, 'BetaBrite COM Port', 'MenuItem_Setting', '18', 88, 4);
insert into [main].[menuitem] values(90, 'Flipper Switch Mod', 'MenuItem_Setting', '51', 89, 3);
insert into [main].[menuitem] values(91, 'Player Profiles', 'MenuItem_PlayerProfiles', '', 90, 1);
insert into [main].[menuitem] values(92, 'Software Menu', '', '', 91, 1);
insert into [main].[menuitem] values(93, 'Current version', 'MenuItem_Setting', '0', 92, 2);
insert into [main].[menuitem] values(94, 'Exit current game', 'MenuItem_ExitGame', '', 93, 3);
insert into [main].[menuitem] values(95, 'Exit to launcher', 'MenuItem_ExitToLauncher', '', 94, 3);
insert into [main].[menuitem] values(96, 'Restart', 'MenuItem_RestartSoftware', '', 95, 3);
insert into [main].[menuitem] values(97, 'Version select', 'MenuItem_VersionSelect', '', 96, 2);
insert into [main].[menuitem] values(98, 'USB update', 'MenuItem_USBUpdate', '', 97, 2);
insert into [main].[menuitem] values(99, 'Pinmame ROM', 'MenuItem_Setting', '48', 98, 2);


/* Commit Transaction */
commit transaction;

/* Enable Foreign Keys */
pragma foreign_keys = on;
